ERRORS - tests against Wallstreet-Pro using WordPress Guidelines Version: 20160523

More errors were found for Wallstreet-Pro - My question - when will you patch bellow errors?!

  • REQUIRED: .bypostauthor CSS class is needed in your theme CSS.
  • Warning:
    More than one text-domain is being used in this theme. This means the
    theme will not be compatible with WordPress.org language packs.
    The domains found are wallstreet, quality
  • WARNING: The theme uses the add_shortcode() function. Custom post-content shortcodes are plugin-territory functionality.
  • REQUIRED: This theme text domain does not match the theme's slug. The text domain used: wallstreet, qualityThis theme's correct slug and text-domain is wallstreet-pro.
  • REQUIRED: The theme uses the register_taxonomy() function, which is plugin-territory functionality.
  • REQUIRED: The theme uses the register_post_type() function, which is plugin-territory functionality.
  • REQUIRED: The <title> tags can only contain a call to wp_title(). Use the wp_title filter to modify the output
  • REQUIRED: Found a Customiser setting that did not have a sanitisation callback function. Every call to the add_setting() method needs to have a sanitisation callback function passed.
  • RECOMMENDED: No reference to add_editor_style()
    was found in the theme. It is recommended that the theme implement
    editor styling, so as to make the editor content match the resulting
    post output in the theme, for a better user experience.
  • INFO: shortcodes.php
    The theme appears to use include or require. If these are being used to
    include separate sections of a template from independent files, then get_template_part() should be used instead.
    Line 4: require_once('shortcode_popup.php');
  • INFO: scripts.php
    The theme appears to use include or require. If these are being used to
    include separate sections of a template from independent files, then get_template_part() should be used instead.
    Line 60: require_once('custom_style.php');
  • INFO: iframe was found in the file contact-us.php iframes are sometimes used to load unwanted adverts and code on your site.
    Line 28: <iframe width='100%' scrolling='no' height='500' frameborder='0' src='<?php 

Comments

  • not to mention that your php is outadted for new plugins....webriti, you r dissapointment :(
  • and i jumped to conclusion to write testiomonilas for you...for Christ sake :( :( :(
  • Hi mjeren

    Sorry for the delayed replay.

    As we already told you in your previous thread Theme check plugin is only for the themes available or push on wordpress.org repo.  wordpress.org themes must pass the Theme Check plugin so our Wallstreet lite theme passes the Theme check plugin. 
    In the Premium theme version, there is more functionality than the lite version with the help of custom post type and with other standard code that did not match with theme check. 

    So please don't worry about the theme check plugin result for Wallstreet pro version.

    You are not satisfied with our support team member replay and thread has been closed Let us know if still, you are interested in the solution of we will of the thread again help you to sort out your query.  

    Sorry for the inconvenience.

    Thanks
    A



  • mah ok
  • like i m talking to windmill...i quit
  • Hi mjeren

    If you become clear about the theme check plugin results with Wallstreet theme pro, then allow us to close the thread, please.

    Thanks
    A
  • If it suits you, close
    Thnx
This discussion has been closed.